{
    "format_version": "1.10.0",
    "minecraft:client_entity": {
        "description": {
            "identifier": "rc:cannon",
            "materials": {
                "default": "opaque_block"
            },
            "animations": {
               "lookY": "animation.create.cannon.look_y"
            },
            "particle_emitters": {
                "cannon_boom": "rc:cannon_boom"
            },
            "particle_effects": {
                "cannon_boom": "rc:cannon_boom"
            },
            "scripts": {
                "pre_animation": [
                    "v.looky = q.property('rc:y_rotation');",
                    "v.lookz = q.property('rc:z_rotation');"
                ],
                "animate": [
                    "lookY"
                ]
            },
            "geometry": {
                "default": "geometry.create_cannon"
            },
            "textures": {
                "default": "textures/entity/cannon"
            },
            "render_controllers": [
                "controller.render.default"
            ]
        }
    }
}